[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: package stability



On Thu, Mar 08, 2007 at 04:57:27PM -0700, Stephen John Smoogen wrote:
> 
> What package are you going to say that you will support for the next 7
> years for multiple releases of RHEL [say 2.1,3.8,4.x,5.x with 7 years
> for 5.x?]

I am not going to say that I will support them for 7 years but that
they may be realistically supported by the community. In my packages
not counting apps for which there is no problem using the latest
version, there is the cernlib, libsx, xbae, libnet, libchmxx
-> I don't think these will ever change in an ABI incompatible way. 
libdockapp -> ensuring ABI compatibility shouldn't be hard. 
lesstif -> the ABI is constrained by openmotif. The one I know I 
won't be able to maintain is libdap. For cppunit I'll poke upstream.

You may object that I maintain only old and dead stuff and that 
it cannot be easily generalized to other extra packages, well that's
true.

--
Pat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]